#pragma once


// CDeviceList dialog

class CDeviceList : public CDialog
{
	DECLARE_DYNAMIC(CDeviceList)

public:
	CDeviceList(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDeviceList();

// Dialog Data
	enum { IDD = IDD_DEVICE_LIST };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CDeviceList)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	// List of available devices
	tDEVICE_INFORMATION *m_pListOfAdapaters;
	DWORD m_dwDeviceListCount;
	DWORD m_dwSelectedID;
	int m_nSelectedDevice;

public:
	void SetDeviceListAddress(tDEVICE_INFORMATION *pListOfAdapaters);
	void SetDeviceListCount(DWORD dwDeviceListCount);
	int  GetAvailableDeviceCount();
	DWORD GetSelectedDevice(void);

protected:
	virtual void OnOK();

public:
	afx_msg void OnLbnDblclkDeviceList();
};
